package de.telefonbuch;

import de.telefonbuch.model.Fehler;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import java.io.IOException;

/**
 * JavaFX App
 */
public class App extends Application {

    private static Scene scene;
    /**
     * Define debug level
     *
     * 0: No Debug messages
     * 1: most important functions
     * 2: less important functions
     * 3: all functions
     */
    public static int debug = 0;

    @Override
    public void start(@org.jetbrains.annotations.NotNull Stage stage) throws IOException {
        new Fehler().debug(this.getClass().getName() + "." + new Throwable().getStackTrace()[0].getMethodName(), true);

    	scene = new Scene(loadFXML());
        stage.setScene(scene);
        stage.show();
    }

    static void setRoot() throws IOException {
        scene.setRoot(loadFXML());
    }

    private static Parent loadFXML() throws IOException {
        FXMLLoader fxmlLoader = new FXMLLoader(App.class.getResource("Telefonbuch" + ".fxml"));
        return fxmlLoader.load();
    }

    public static void main(String[] args) {
        launch();
    }

}